---
title: ProgressEvent.loaded
slug: Web/API/ProgressEvent/loaded
tags:
  - API
  - Progress Event
  - ProgressEvent
  - Property
---
<p>{{APIRef("DOM Events")}}</p>

<p>The <code><strong>ProgressEvent.loaded</strong></code> read-only property is an integer representing the amount of work already performed by the underlying process. The ratio of work done can be calculated with the property and <code>ProgressEvent.total</code>. When downloading a resource using HTTP, this only represent the part of the content itself, not headers and other overhead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> = <em>ProgressEvent</em>.loaded</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#dom-progressevent-loaded', 'ProgressEvent.loaded')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ProgressEvent.loaded")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("ProgressEvent")}} interface it belongs to.</li>
</ul>
